Subject: Re: [PATCH] Change 'cache' to 'index' in the docs

From: Andreas Ericsson <[email-masked]>
Date: Fri, 11 Nov 2005 12:49:58 +0100

Junio C Hamano wrote:
> Lukas Sandstr.ANvm <[email-masked]> writes:
> 
> 
>>git-update-index.txt says:
>>"Modifies the index or directory cache."
>>
>>I thought the index was the directory cache.
>>Is git-update-index.txt badly worded or is there something
>>I'm missing?
> 
> 
> Nothing.  Just 'cache' is so ingrained to the brain of some/many
> of us that we let it go unnoticed, with an excuse that somewhere
> we say "index aka cache".
> 

This had me puzzled for quite some time. Some notice to the tutorial 
about what's meant when it says "tree-ish" or "commit-ish" would be nice 
(I still haven't been able to figure it out).

The wording in git-diff-index.txt isn't exactly stellar either. The 
git(7) man-page mentions that it's nice to read git-diff-index before 
doing anything else, but it was just yesterday before I figured out that 
it can be used to produce a diff between an updated index and the 
checked out working tree (which has led me to some fairly obscure 
juggling with patches and source-files to remember just what the hell it 
was I changed).

Oh well. Perhaps I checked in all the wrong places.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231